%write file for variable change in CAESES
function output=write_design_variables(dxx,dyy,dzz)


filename = 'C:\Users\Andreas\Documents\MATLAB\Offset_gen\PSO\Batch_CAESES\offset_generation_batch\manual_results\baseline\input\design_var.fsc';
fileID = fopen(filename,'w');

fprintf(fileID,'openProject("offset_generation_batch2.fdbc")\n');
fprintf(fileID,'// DESIGN VARIABLES\n');
fprintf(fileID,'// range: [-1,1.3]" )\n');
fprintf(fileID,'|01_transformations|transformation_parameters|bulb_tip_pos_z.setValue(%0.1f))\n',dzz);  
fprintf(fileID,'// range: [-2,3])\n');   
fprintf(fileID,'|01_transformations|transformation_parameters|dxBulbTip.setValue(%0.1f),\n',dxx);   
fprintf(fileID,'// range: [-1,2]\n');   
fprintf(fileID,'|01_transformations|transformation_parameters|dyBulb.setValue(%0.1f)\n',dyy);   
fprintf(fileID,'// DESIGN VARIABLES END\n');
fprintf(fileID,'// Export the new variant\n');   
fprintf(fileID,'|00_SHF_import|as_off_new.exportSHF("test_new")\n');   
fprintf(fileID,'exit(true)\n');   

end