function [f,g] = particle_fun(Xxx)


%parameters

dx_bulb=Xxx(1);
dy_bulb=-Xxx(2);
dz_bulb=-Xxx(2);



%Set Volume displacement constraint
%Initial_results  = calculate_res(0,0,0,draft(1),speed(1));
Initial_Volume_Disp = 54363.42734093; % Initial_results(1);
ite=10;
% 1) Volume 2) CW_pressure 3) CW_wavecut 4) Wetted surface area


weight1 = [18.0 38.0 39.0 4.0 1.0]./100;
speed = [12 15 18 21 24];
draft = [10.5];
ite = 10;
nthread = 4;
    for i = 1:5
write_config(speed(i),draft(1),ite,nthread,dx_bulb)
wave_res_calc  = calculate_res(dx_bulb,dy_bulb,dz_bulb,ite);
CW_pressure = wave_res_calc(2):
S_ref = wave_res_calc(4);
Rn = (speed(i)*(1852/3600)*230)/1.1e-6;
RW = CW_pressure*0.5*1025*S_ref*230^2*(speed(i)*(1852/3600))^2;
PE_w =  RW*speed(i)*weight1(i);
weighted_effective_power(i) = PE_w;
    end
weighted_effective_power_sum = sum(weighted_effective_power);
global xx
xx = xx +1;


objective = weighted_effective_power_sum;
Max_Delta_Displacement = 0.10;
Delta_Displacement = abs((Initial_Volume_Disp-Volume_Disp)/Initial_Volume_Disp)

constraint= (Delta_Displacement/Max_Delta_Displacement)-1;

% objective and constraint function value
f=objective;        %Objective
g=constraint;       %Constraint feasible -1 to 0 an infeasible is from >0 to 1









