function StructOpt
global xx
xx =1;
% How to get initial population?
% 1 = random or 2 = read from file.
source = 1;   %source

% Number of continous variables
continous_variables = 0;

% Upper and lower bound for continous variables
LowerB = [];
UpperB = [];

% PSO parameters.
Algorithm = [10 10 2 1.4 0.8 3 2 1];

% PSO-parameter
% swarm_size = 5;             
% feasibles_initial_population = -1;             % Feasible designs in intial population (-1 dont want to use).
% generations = 10;                              % Calculation rounds.
% inertia = 1.4;                                 % Intertia at start.
% beta = 0.8;                                    % Factor for dynamic inertia reduction 
% beta_k = 3;                                    % Number of rounds when it should improve, otherwise make inertia smaller
% penalty_factor = 2;                            % Penalty factor for violated constraints
% print_results = 1;                             % 0 not printed, 1 is printed (results)



% Set of discrete variables
Feasible_Set=[];

  nvariables=3;
  Feasible_Set=inf(nvariables,26); 
%  Change in x-direction
  Feasible_Set(1,1:26)=-2:0.20:3;
%  Change in y-direction
  Feasible_Set(2,1:26)=-1.5:0.12:1.5;
%  Change in z-direction
  Feasible_Set(3,1:26)=-1.3:0.09:0.95;
% Carry out the optimization.


if source == 1
    [best_f,best_x,best_g,history_f,history_x,history_g,iterations,...
        particle,particle_history,t_history] = PSO('particle_fun',continous_variables,Feasible_Set,LowerB,UpperB,Algorithm,[]);
elseif source == 2
    [best_f,best_x,best_g,history_f,history_x,history_g,iterations,...
        particle,particle_history,t_history] = PSO('particle_fun',continous_variables,Feasible_Set,LowerB,UpperB,Algorithm,'initial_feasible_population.txt');
end

%Best feasible particletion
format compact;
disp(' ')
disp(' ')
disp('Results:')
best_f,best_x,best_g
disp(' ')
disp(' ')


