%read the outputfile from the SHIPFLOW calculation
function Results = read_string(ite)
line1 = 13 +50*ite;
line2 = 22 +50*ite;
line3 = 23 +50*ite;
line4 = 26 +50*ite;

fileID = fopen("C:\FLOWTECH\SHIPFLOW6.2.01-x86_64\bin\config_batch_RUN_DIR\config_batch_SUMMARY",'r');

C = textscan(fileID, '%s','delimiter', '\n');
V_string =C{1}{line1};
V_string = sscanf(V_string, '%s');
V = sscanf(V_string, 'V(displacement):%s');
V = str2num(V);
V =230^3*V;


CW_string =C{1}{line2};
CW_string = sscanf(CW_string, '%s');
CW = sscanf(CW_string, 'CW(Waveresist.coeff.press.int.):%s');
CW = str2num(CW);

CW_WCT_string =C{1}{line3};
CW_WCT_string = sscanf(CW_WCT_string, '%s');
CW_WCT = sscanf(CW_WCT_string, 'CWTWC(Waveresist.coeff.wavecut):%s');
CW_WCT = str2num(CW_WCT);

S_REF_string =C{1}{line4};
S_REF_string = sscanf(S_REF_string, '%s');
S_REF = sscanf(S_REF_string, 'Sref(Wettedsurfaceatzerospeed):%s');
S_REF = str2num(S_REF);

Results = [V CW CW_WCT  S_REF];
disp(V)
disp(CW)
disp(CW_WCT)
disp(S_REF)
end