clear all
load('KCS_bulb.mat')
load('KCS_main.mat')
load('KCS_stern.mat')
filename = 'KCS_new.n2x';
datfile = fopen(filename,'w');
fprintf(datfile,'Lpp=230.00\n');
fprintf(datfile,'B=32.20\n');
fprintf(datfile,'D=19.00\n');
fprintf(datfile,'Loa=232.00\n');
fprintf(datfile,'T=10.8\n');
fprintf(datfile,'*\n');


%Y-SECTIONS
fprintf(datfile,'YSECTION AT 0.0\n');
u = 1;
%stern
for i = 1:length(KCSstern)
  
    if KCSstern(i,4) == 0 &&  KCSstern(i,2) <=0.0001
       KCSstern(i,4) = 2;
    end
end

for i = 1:length(KCSstern)
    
    if KCSstern(i,4) == 1 &&  KCSstern(i,2) >=0.02
       KCSstern(i,4) = 0;
    end
end

for i = 1:length(KCSstern)
    if KCSstern(i,4)==1 || KCSstern(i,4)==2
    BB(u,1) = KCSstern(i,1);
    BB(u,2) = KCSstern(i,2);
    BB(u,3) = KCSstern(i,3);
    BB(u,4) = KCSstern(i,4);
    u=u+1;
    end       
end
    
BB = sortrows(BB,3,'descend');

for i = 1:length(BB)
    fprintf(datfile,'%0.4f %0.4f %0.4f \n',BB(i,1),BB(i,2),BB(i,3));    

end

%main
for i = 1:length(KCSmain)
  
    if KCSmain(i,4) == 1 &&  KCSmain(i,2) >=0.02
       KCSmain(i,4) = 0;
    end
  
    if KCSmain(i,4)==1
    fprintf(datfile,'%0.4f %0.4f %0.4f \n',KCSmain(i,1),KCSmain(i,2),KCSmain(i,3));    
    end
end

%bulb
for i = 1:length(KCSbulb)
  
    if KCSbulb(i,4) == 0 &&  KCSbulb(i,2) <=0.0001
       KCSbulb(i,4) = 2;
    end
end

for i = 1:length(KCSbulb)
    
    if KCSbulb(i,4) == 1 &&  KCSbulb(i,2) >=0.02
       KCSbulb(i,4) = 0;
    end
end
u=1;
for i = 1:length(KCSbulb)
    
    if KCSbulb(i,4)==1 || KCSbulb(i,4)==2
    CC(u,1) = KCSbulb(i,1);
    CC(u,2) = KCSbulb(i,2);
    CC(u,3) = KCSbulb(i,3);
    CC(u,4) = KCSbulb(i,4);
    u=u+1;
    end       
end
    
CC = sortrows(CC,3);

for i = 1:length(CC)
    fprintf(datfile,'%0.4f %0.4f %0.4f \n',CC(i,1),CC(i,2),CC(i,3));    

end

%X-Sections
k = 1;

    %STERN
for i = 1:length(KCSstern)
    
    if KCSstern(i,4)==1 && KCSstern(i,1) ~= k
        fprintf(datfile,'XSECTION AT %0.1f\n',KCSstern(i,1));
        k = KCSstern(i,1);
        u = i+1;
    end
    
    if KCSstern(i,4)==1 
    
        while KCSstern(u,4)== 0
        fprintf(datfile,'%0.4f %0.4f %0.4f \n',KCSstern(u-1,1),KCSstern(u-1,2),KCSstern(u-1,3)); 
        u = u+1;
        end
    
    end
end
    %MAIN

for i = 1:length(KCSmain)
    
    if KCSmain(i,4)==1
        fprintf(datfile,'XSECTION AT %0.1f\n',KCSmain(i,1));
        u = i+1;
    while KCSmain(u,4)== 0
       fprintf(datfile,'%0.4f %0.4f %0.4f \n',KCSmain(u-1,1),KCSmain(u-1,2),KCSmain(u-1,3)); 
       u = u+1;
    end
    
    end
end
    %BOW
    k =1;
    
for i = 1:length(KCSbulb)
       
    if KCSbulb(i,4)==1 && KCSbulb(i,1) ~= k
        fprintf(datfile,'XSECTION AT %0.1f\n',KCSbulb(i,1));
        k = KCSbulb(i,1);
        u = i+1;
    end
    
    if KCSbulb(i,4)==1
  
    while KCSbulb(u,4)== 0
       fprintf(datfile,'%0.4f %0.4f %0.4f \n',KCSbulb(u-1,1),KCSbulb(u-1,2),KCSbulb(u-1,3)); 
       u = u+1;
    end
    
    end
end